Jenkins – SECURITY-200 / CVE-2015-5323 PoC

Jenkins Master Post
February 27, 2019
Jenkins – SECURITY-180/CVE-2015-1814 PoC
February 27, 2019

Jenkins – SECURITY-200 / CVE-2015-5323 PoC

API tokens of other users available to admins


SECURITY-200 / CVE-2015-5323

API tokens of other users were exposed to admins by default. On instances that don’t implicitly grant RunScripts permission to admins, this allowed admins to run scripts with another user’s credentials.


Affected versions
All Jenkins main line releases up to and including 1.637

All Jenkins LTS releases up to and including 1.625.1

PoC
Tested against Jenkins 1.6.37


From the script console:
run some groovy code to get the token of another user

wrong token

correct token
News Reporter
News Reporter
Head of Operations (Banking), Director IT Governance, Teamlead Microsoft, Service Delivery Manager. Interested in Office 365, LAMP, IT Security and much more!